Subject: Re: bug#69017: 30.0.50; [debbugs] Make compilation step optional in debbugs-gnu-apply-patch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Feb 2024 22:26:03 +0200

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 10 Feb 2024 11:58:56 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> From: Eric Abrahamsen <[email-masked]>
> >> Date: Sat, 10 Feb 2024 11:23:30 -0800
> >> 
> >> Out of curiosity, do you use any convenience functions for applying
> >> patches from email->repository?
> >
> > I use M-|, FWIW.
> 
> That's what I was trying to avoid! You're the one who has to handle
> attachments vs inline, type out the directory location, decide between
> "git am" and "git apply", etc...
> 
> If you're doing it 50 times a day, maybe the muscle memory (or command
> history) means it's not a big deal.

Emacs remembers the command history, so all I have to do is press <UP>
a few times, after I type M-|, then type RET.

And some figuring out is still up to you, because patches could be for
the release branch or for the master (and maybe for a few more
branches), so you'd need some "cd foo" before "git am".  I have a
command for master and for the release branch, and I need to decide
which one to use in each case.  That cannot be automated.